const { post,get } = require('./request')

module.exports = {

  getDeviceConfigs(data){
    return post({
      url: '/get_device_configs',
      data: data,
      headers:{
        'Content-Type':"application/json",
      }
    })
  },
  getDeviceTabs(data){
    return get({
      url: '/get_device_tabs',
      data: data,
    })
  },

  getDeviceConfigDetail(data){
    return post({
      url: '/device_config_detail',
      data: data,
      headers:{
        'Content-Type':"application/json",
      }
    })
  },
  //根据条件查询可执行程序-单条
  getDeviceConfigDetailQuery(data){
    return post({
      url: '/device_config_detail_query',
      data: data,
      headers:{
        'Content-Type':"application/json",
      }
    })
  },


  //删除
  removeConfig(data){
    return post({
      url: '/remove_config',
      data: data,
      headers:{
        'Content-Type':"application/json",
      }
    })
  },

  //保存
  saveDeviceConfig(data){
    return post({
      url: '/save_device_config',
      data: data,
      headers:{
        'Content-Type':"application/json",
      }
    })
  },

  resetDeviceConfig(data){
    return post({
      url: '/reset_config',
      data: data,
      headers:{
        'Content-Type':"application/json",
      }
    })
  },
  //读取系统配置

  getSysConfig(data){
    return get({
      url: '/get_sys_config',
      data: data,
      headers:{
        'Content-Type':"application/json",
      }
    })
  },
  //更新系统配置
  updateSysConfigs(data){
    return post({
      url: '/update_sys_configs',
      data: data,
      headers:{
        'Content-Type':"application/json",
      }
    })
  },
  //更新左右脚配置
  updateLeftRightConfig(data){
    return post({
      url: '/update_left_right_config',
      data: data
    })
  },
  //更新顶部tab名称
  updateTabName(data){
    return post({
      url: '/update_tab_name',
      data: data
    })
  },




  //同步配置接口
  syncSysConfigs(data){
    console.log("syncSysConfigs===============", data);
    return post({
      url: '/sync_sys_configs',
      data: data
    })
  },



  //同步左右脚配置
  syncActions(data){
    console.log("syncActions===============", data);
    return post({
      url: '/sync_actions',
      data: data
    })
  },



}
